<?php
/*
 * Este arquivo é responsável por atualiza a senha do cliente após ele solicitar a mudança.
 */
 
require_once(__DIR__ . "/../classes/Sistema.php"); 
set_sistema(Sistema::WIN7);
$sistema = new Sistema(true, true);

// Verificamos se a nova senha segue as regras básicas
if(empty($_POST['senha']) || empty($_POST['senha1']) || empty($_POST['senha2']) || strlen($_POST['senha1']) < 5 || strlen($_POST['senha1']) < 5){ 
	echo "-2Senha inválida!";
	exit;
}

if($_POST['senha1'] != $_POST['senha2']){ // Verificamos se a nova senha foi redigitada corretamente
	echo "-2Senha não coincidem!";
	exit;
}

$resultado = $sistema->usuario->mudar_senha($_POST['senha1'], $_POST['senha'], $sistema);
if($resultado != "-1"){
	echo "-2".$resultado;
}
else{
	$sistema->logs->adicionar_log_mudanca_senha();
}
?>